Bug 1264909 - jenkins: NoClassDefFoundError: org/apache/xerces/util/XMLChar
Summary: jenkins: NoClassDefFoundError: org/apache/xerces/util/XMLChar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-21 12:39 UTC by Michal Srb
Modified: 2015-10-03 21:15 UTC (History)
3 users (show)

Fixed In Version: jenkins-1.609.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 17:49:14 UTC


Attachments (Terms of Use)

Description Michal Srb 2015-09-21 12:39:33 UTC
Description of problem:

Trying to access http://localhost:8080/api/xml leads to following exception:

javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/xerces/util/XMLChar
	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:796)
	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:876)
	at org.kohsuke.stapler.MetaClass$4.doDispatch(MetaClass.java:211)
	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:746)
	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:876)
	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:649)
	at org.kohsuke.stapler.Stapler.service(Stapler.java:238)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
	at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:684)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1496)
	at hudson.util.PluginServletFilter$1.doFilter(PluginServletFilter.java:123)
	at hudson.util.PluginServletFilter.doFilter(PluginServletFilter.java:126)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.security.csrf.CrumbFilter.doFilter(CrumbFilter.java:48)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:84)
	at hudson.security.UnwrapSecurityExceptionFilter.doFilter(UnwrapSecurityExceptionFilter.java:51)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at jenkins.security.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:117)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at org.acegisecurity.providers.anonymous.AnonymousProcessingFilter.doFilter(AnonymousProcessingFilter.java:125)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at org.acegisecurity.ui.rememberme.RememberMeProcessingFilter.doFilter(RememberMeProcessingFilter.java:135)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at org.acegisecurity.ui.AbstractProcessingFilter.doFilter(AbstractProcessingFilter.java:271)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at jenkins.security.BasicHeaderProcessor.doFilter(BasicHeaderProcessor.java:93)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at org.acegisecurity.context.HttpSessionContextIntegrationFilter.doFilter(HttpSessionContextIntegrationFilter.java:249)
	at hudson.security.HttpSessionContextIntegrationFilter2.doFilter(HttpSessionContextIntegrationFilter2.java:67)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:87)
	at hudson.security.ChainedServletFilter.doFilter(ChainedServletFilter.java:90)
	at hudson.security.HudsonFilter.doFilter(HudsonFilter.java:168)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at org.kohsuke.stapler.compression.CompressionFilter.doFilter(CompressionFilter.java:49)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.util.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:81)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at org.kohsuke.stapler.DiagnosticThreadNameFilter.doFilter(DiagnosticThreadNameFilter.java:30)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1476)
	at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:499)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:137)
	at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:533)
	at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:231)
	at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1086)
	at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:428)
	at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:193)
	at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1020)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:135)
	at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:116)
	at org.eclipse.jetty.server.Server.handle(Server.java:370)
	at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest(AbstractHttpConnection.java:494)
	at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete(AbstractHttpConnection.java:971)
	at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete(AbstractHttpConnection.java:1033)
	at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:644)
	at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:235)
	at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:82)
	at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:667)
	at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:52)
	at winstone.BoundedExecutorService$1.run(BoundedExecutorService.java:77)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.NoClassDefFoundError: org/apache/xerces/util/XMLChar
	at org.kohsuke.stapler.export.XMLDataWriter.makeXmlName(XMLDataWriter.java:119)
	at org.kohsuke.stapler.export.XMLDataWriter.adjustName(XMLDataWriter.java:107)
	at org.kohsuke.stapler.export.XMLDataWriter.startObject(XMLDataWriter.java:91)
	at org.kohsuke.stapler.export.Model.writeTo(Model.java:163)
	at org.kohsuke.stapler.ResponseImpl.serveExposedBean(ResponseImpl.java:267)
	at hudson.model.Api.doXml(Api.java:100)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.kohsuke.stapler.Function$InstanceFunction.invoke(Function.java:298)
	at org.kohsuke.stapler.Function.bindAndInvoke(Function.java:161)
	at org.kohsuke.stapler.Function.bindAndInvokeAndServeResponse(Function.java:96)
	at org.kohsuke.stapler.MetaClass$1.doDispatch(MetaClass.java:121)
	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:746)
	... 63 more
Caused by: java.lang.ClassNotFoundException: org.apache.xerces.util.XMLChar
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass(WebAppClassLoader.java:430)
	at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass(WebAppClassLoader.java:383)
	... 79 more


Upstream bundles the missing class in Stapler, but we don't and JAR providing it is not on classpath.

Version-Release number of selected component (if applicable):
jenkins-1.609.1-4.fc22.noarch
stapler-1.236-1.fc22.noarch

How reproducible:
always

Comment 1 Fedora Update System 2015-09-22 06:08:16 UTC
jenkins-credentials-plugin-1.23-1.fc23 jenkins-junit-plugin-1.9-1.fc23 jenkins-remoting-2.52-1.fc23 jenkins-script-security-plugin-1.15-1.fc23 jenkins-ssh-slaves-plugin-1.10-1.fc23 stapler-1.237-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16390

Comment 2 Fedora Update System 2015-09-22 06:09:44 UTC
stapler-1.237-2.fc22 jenkins-ssh-slaves-plugin-1.10-1.fc22 jenkins-script-security-plugin-1.15-1.fc22 jenkins-remoting-2.52-1.fc22 jenkins-junit-plugin-1.9-1.fc22 jenkins-credentials-plugin-1.23-1.fc22 jenkins-1.609.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16391

Comment 3 Fedora Update System 2015-09-23 03:55:42 UTC
jenkins-credentials-plugin-1.23-1.fc23, jenkins-junit-plugin-1.9-1.fc23, jenkins-remoting-2.52-2.fc23, jenkins-script-security-plugin-1.15-1.fc23, jenkins-ssh-slaves-plugin-1.10-1.fc23, stapler-1.237-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jenkins-remoting stapler jenkins-ssh-slaves-plugin jenkins-script-security-plugin jenkins-junit-plugin jenkins-credentials-plugin'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16390

Comment 4 Fedora Update System 2015-09-23 21:23:19 UTC
jenkins-1.609.3-1.fc22, jenkins-credentials-plugin-1.23-1.fc22, jenkins-junit-plugin-1.9-1.fc22, jenkins-remoting-2.52-2.fc22, jenkins-script-security-plugin-1.15-1.fc22, jenkins-ssh-slaves-plugin-1.10-1.fc22, stapler-1.237-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jenkins-credentials-plugin jenkins-script-security-plugin jenkins jenkins-ssh-slaves-plugin jenkins-junit-plugin stapler jenkins-remoting'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16391

Comment 5 Fedora Update System 2015-10-03 17:49:09 UTC
jenkins-credentials-plugin-1.23-1.fc23, jenkins-junit-plugin-1.9-1.fc23, jenkins-remoting-2.52-2.fc23, jenkins-script-security-plugin-1.15-1.fc23, jenkins-ssh-slaves-plugin-1.10-1.fc23, stapler-1.237-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-10-03 21:15:37 UTC
jenkins-1.609.3-1.fc22, jenkins-credentials-plugin-1.23-1.fc22, jenkins-junit-plugin-1.9-1.fc22, jenkins-remoting-2.52-2.fc22, jenkins-script-security-plugin-1.15-1.fc22, jenkins-ssh-slaves-plugin-1.10-1.fc22, stapler-1.237-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.